/*
* 权限配置
* */
import router from './router';
import store from './store';
import { getToken } from '@/utils/auth';
const whiteList = ['/login']
import { Notification } from 'element-ui';
router.beforeEach((to,from,next) => {
    /* 有token情况下*/
    if (getToken()) {
        if (to.path === '/login') { //如果登录成功访问登录页跳转到主页
            next({path: '/'});
        }else {
            //查询用户属于哪种账户类型
            const userType = localStorage.getItem("ext")
            if (to.meta.ext.indexOf(userType) !== -1){
                next()
            }else {
                //禁止访问不属于登陆账户业务的页面
                Notification.warning({title:'警告',message:'没有访问权限'})
                next({path: '/'});
            }
        }
    }else {
        /* 没有token情况下*/
        if (whiteList.indexOf(to.path) !== -1) {
            // 如果属于白名单路由
            next()
        }else {
            next(`/login`)
        }
    }
})