import axios from 'axios';
import Qs from 'qs'
axios.defaults.timeout = 10000;

axios.interceptors.request.use(
    config => {
        if (localStorage.getItem('platomix-auth')) {
            config.headers['platomix-auth'] = localStorage.getItem('platomix-auth')
        }
        if (config.method === 'post') {
            if (config.isJson) {
                config.headers['Content-Type'] = 'application/json;charset=UTF-8'
                config.data = config.data
            } else {
                config.headers['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
                config.data = Qs.stringify(config.data)
            }
        } else if (config.method === 'get') {
            config.headers['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8';
            config.data = Qs.stringify(config.data)
        }
        return config;
    },
    error => {
        return Promise.reject(error);
    });
axios.interceptors.response.use(
    response => {
        const res = response.data;
        return Promise.resolve(res);
    },
    error => {
        return Promise.reject(error);

    }
);

export function get(url, params) {
    return new Promise((resolve, reject) => {
        axios.get('/channel' + url, {
            params: params
        }, ).then(res => {
            resolve(res);
        }).catch(err => {
            reject(err)
        })
    });
}

export function post(url, data) {
    return new Promise((resolve, reject) => {
        axios.post('/channel' + url, data)
            .then(res => {
                resolve(res);
            })
            .catch(err => {
                reject(err)
            })
    });
}
export function postJson(url, data) {
    return new Promise((resolve, reject) => {
        axios.post('/channel' + url, data, {
                isJson: true
            })
            .then(res => {
                resolve(res);
            })
            .catch(err => {
                reject(err)
            })
    });
}
export function downFile(url, params) {
    return new Promise((resolve, reject) => {
        axios({
            method: "GET",
            url: '/channel' + url,
            params: params,
            responseType: "blob"
        }).then(res => {
            resolve(res)
        }).catch(err => {
            reject(err)
        })
    });
}