import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
    path: "/",
    name: "index",
    meta:{ext:['0','1','2','3','4','5','6']},
    component: () => import('../views/Index.vue'),
    children: [{
        path: '/home',
        name: 'home',
        component: () => import('../views/home.vue'),
        meta:{ext:['1','2']},
      }, {
        path: '/userAdmin',
        name: 'userAdmin',
        component: () => import('../views/userAdmin.vue'),
        meta:{ext:['0']},
    }, {
        path: '/channel',
        name: 'channel',
        component: () => import('../views/channel.vue'),
        meta:{ext:['3','4']},
    }, {
        path: '/inner',
        name: 'inner',
        component: () => import('../views/inner.vue'),
        meta:{ext:['5']},

    }, {
        path: '/internal',
        name: 'internal',
        component: () => import('../views/internal.vue'),
        meta:{ext:['6']},
    }

    ]
  }, {
    path: '/login',
    name: 'login',
    meta:{ext:['0','1','2','3','4','5','6']},
    component: () => import('../views/Login.vue'),
  },

]

const orifinalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return orifinalPush.call(this, location).catch(err => err)
}

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router
